Package commoble.morered.client

# Class FaceRotation

java.lang.Object
commoble.morered.client.FaceRotation

All Implemented Interfaces:
  `net.minecraft.client.resources.model.ModelState`

public class FaceRotation extends Object implements net.minecraft.client.resources.model.ModelState

## Field Summary

Fields
Modifier and Type
Field
Description
`static final FaceRotation[]`
`FACE_ROTATIONS`

## Method Summary

Modifier and Type
Method
Description
`static FaceRotation`
`getFaceRotation(int side, int subSide)`
`com.mojang.math.Transformation`
`getRotation()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraft.client.resources.model.ModelState

`isUvLocked`

## Field Details

### FACE_ROTATIONS

public static final FaceRotation[] FACE_ROTATIONS

## Method Details

### getFaceRotation

public static FaceRotation getFaceRotation(int side, int subSide)

### getRotation

public com.mojang.math.Transformation getRotation()

Specified by:
  `getRotation` in interface `net.minecraft.client.resources.model.ModelState`